# List MCP servers

**GET /v1/redpanda-connect/mcp-servers**

Lists MCP servers. Optionally filter by display name, tags, or secret ID.


## Servers
- Data Plane API: https://{dataplane_api_subdomain}.cloud.redpanda.com (Data Plane API)


## Authentication methods
- Auth0


## Parameters


### Query parameters
- **filter.display_name_contains** (string)
  Returns MCP servers that partially match this name.
- **filter.tags[string]** (string)
  This is a request variable of the map type. The query format is "map_name[key]=value", e.g. If the map name is Age, the key type is string, and the value type is integer, the query parameter is expressed as Age["bob"]=18
- **filter.secret_id** (string)
  Filters MCP servers that reference this secret ID in their tool configurations.
- **page_size** (integer(int32))
  Limit the paginated response to a number of items. Defaults to 100. Use -1 to disable pagination.
- **page_token** (string)
  Value of the next_page_token field returned by the previous response.
  If not provided, the system assumes the first page is requested.


## Responses
### 200
OK

#### Body: application/json (object)
- **mcp_servers** (array[object])

- **next_page_token** (string)
  Token to retrieve the next page of results. Empty if there are no more results.

### 401
Unauthenticated.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
